- Main Page
- Modules
- Classes
- Namespaces
- Files
- Related Pages

- File List
- File Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Macros Groups Pages
Classes | Namespaces
edge_set.h File Reference
Graph Structures

## Detailed Description

Graphs which use another graph's node-set as own.

`#include <lemon/core.h>`
`#include <lemon/bits/edge_set_extender.h>`

## Classes
class | ListArcSet< GR >
| Digraph using a node set of another digraph or graph and an own arc set. More...
class | ListEdgeSet< GR >
| Graph using a node set of another digraph or graph and an own edge set. More...
class | SmartArcSet< GR >
| Digraph using a node set of another digraph or graph and an own arc set. More...
class | SmartEdgeSet< GR >
| Graph using a node set of another digraph or graph and an own edge set. More...

## Namespaces
| lemon
| The namespace of LEMON.